<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.guosen.bussinessInfo.mapper.BussinessInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="bussinessInfoResultMap" type="org.springblade.modules.guosen.bussinessInfo.entity.BussinessInfo">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="bussiness_id" property="bussinessId"/>
        <result column="merchant_no" property="merchantNo"/>
        <result column="business_role" property="businessRole"/>
        <result column="sign_type" property="signType"/>
        <result column="licence_no" property="licenceNo"/>
        <result column="licence_url" property="licenceUrl"/>
        <result column="sign_name" property="signName"/>
        <result column="short_name" property="shortName"/>
        <result column="province" property="province"/>
        <result column="city" property="city"/>
        <result column="district" property="district"/>
        <result column="address" property="address"/>
        <result column="open_account_licence_no" property="openAccountLicenceNo"/>
        <result column="open_account_licence_url" property="openAccountLicenceUrl"/>
        <result column="hand_licence_url" property="handLicenceUrl"/>
        <result column="register_status" property="registerStatus"/>
        <result column="agreement_sign_url" property="agreementSignUrl"/>
        <result column="audit_opinion" property="auditOpinion"/>
        <result column="agreement_photo_url" property="agreementPhotoUrl"/>
        <result column="system_screenshot_url" property="systemScreenshotUrl"/>
        <result column="special_permit_process_url" property="specialPermitProcessUrl"/>
        <result column="parent_merchant_no" property="parentMerchantNo"/>
    </resultMap>


    <select id="selectBussinessInfoPage" resultMap="bussinessInfoResultMap">
        select * from cyzh_bussiness_info where is_deleted = 0
    </select>

</mapper>
